// AntiMidaDlg.h : file di intestazione
//
#include <Psapi.h>
#include "BtnST.h"

#pragma once


// finestra di dialogo CAntiMidaDlg
class CAntiMidaDlg : public CDialog
{
// Costruzione
public:
	CAntiMidaDlg(CWnd* pParent = NULL);	// costruttore standard

	CListCtrl ProcList;
	CButtonST btnAntimida;
	CButtonST btnRefresh;

// Dati della finestra di dialogo
	enum { IDD = IDD_ANTIMIDA_DIALOG };

public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// supporto DDX/DDV


// Implementazione
protected:
	HICON m_hIcon;

	// Funzioni generate per la mappa dei messaggi
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

protected:
	HANDLE hAntimida;

	TCHAR Buffer[MAX_PATH], 
		CurDir[MAX_PATH];

	RESTORE_INFO RestoreInfo;

	HBRUSH hBrush;
	
	VOID ListProcs();
	VOID SetPrivileges(VOID);
	VOID GetFileName(TCHAR *);
public:
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnBnClickedRefresh();
	afx_msg void OnBnClickedAntimida();
	afx_msg void OnClose();
};
